## com.bbn.openmap.util.propertyEditor
Class OrientationPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
              com.bbn.openmap.util.propertyEditor.OrientationPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.awt.event.FocusListener, java.beans.PropertyEditor

public class OrientationPropertyEditor
extends TrueFalsePropertyEditor

Field Summary
`static java.lang.String` `HORIZONTAL`
`static java.lang.String` `VERTICAL`

Fields inherited from class com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
`buttonGroup, falseButton, FalseString, option, trueButton, TrueString, useAltCommandStrings`

Constructor Summary
`OrientationPropertyEditor()`

Methods inherited from class com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
`actionPerformed, focusGained, focusLost, getAsText, getCustomEditor, getUseAltCommandStrings, setSelected, setUseAltCommandStrings, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERTICAL

    public static final java.lang.String VERTICAL

See Also:
  Constant Field Values

### HORIZONTAL

    public static final java.lang.String HORIZONTAL

See Also:
  Constant Field Values

Constructor Detail

### OrientationPropertyEditor

    public OrientationPropertyEditor()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details